Issue 48126

Summary: Full Screen Toolbar
Product: General Reporter: vion <vion>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, mark.neuling, Mathias_Bauer, rshadra, soimimozo, vion, yb
Version: 680m94   
Target Milestone: ---   
Hardware: All   
OS: Windows XP   
Issue Type: ENHANCEMENT Latest Confirmation in: 4.0.1
Developer Difficulty: ---
Attachments:
Description Flags
Writer document with a macro none

Description vion 2005-04-25 16:57:27 UTC
I think it should be possible to hide COMPLETELY the Full Screen Toolbar in the
full screen mode. It is very annoying if you are in the full screen mode and
cannot switch off all toolbar. You try to do so, but you can switch off only the
button, not the toolbar, you try to hide it in some corner or so -- it would be
better to have the possibility to switch it off.
Comment 1 michael.ruess 2005-04-26 07:01:12 UTC
Reassigned to Requirements.
Comment 2 ace_dent 2008-05-16 00:54:13 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 3 ftack 2008-06-09 14:42:03 UTC
This issue is still valid. There is no way to turn the "Full screen" toolbar,
that clutters the full screen view, permanently off.
Comment 4 Mathias_Bauer 2008-06-12 11:31:01 UTC
This was done by intent because in former times we had complaints that some
users couldn't find their way out out the full screen mode.

I think that this issue should be fixed or rejected soon, I don't see a reason
to postpone a decision until the Day Of Judgement. Thus I set the target to 3.1.

@cl: please let us come to a final decision about the matter. IMHO we can treat
the FullScreen toolbar the same way as others. If a users wants to get rid of it
she can switch it off in "View-Toolbars". If she just closes the floating
toolbar, it will reappear next time.
Comment 5 seriouswriter 2008-11-29 12:00:45 UTC
As of 300m9, there is no way to switch off the full screen toolbar under view/toolbars because the full screen toolbar doesn't appear there.  Putting it there would be a good idea.  BUT THE BUG HAS DETERIORATED FROM VERSION 2.3.
      In version 2.3, from which I've just updated *because* I hoped this issue would be fixed, it was possible to kill the full screen toolbar after going to full screen using the right-click menu on it.  Now that has been inactivated!!!
      I am a novelist.  I can assure you that this is a serious issue and it needs fixing or this program is not one I can use because that damned little toolbar is so distracting.  I am switching back to version 2.3, even with the bug it has on the italics not toggling back off once set (an issue fixed on version 3). 
      For new users, consider a little warning note (which you can turn off forever in a tick box somewhere) coming up on activating full screen, with the information to use ESC to exit back to normal view. 
Comment 6 Martin Hollmichel 2008-12-10 11:17:34 UTC
move target to 3.2.
Comment 7 lohmaier 2010-05-02 00:00:42 UTC
*** Issue 105292 has been marked as a duplicate of this issue. ***
Comment 8 richgriswold 2010-11-22 21:27:09 UTC
I just wanted to mention that this affect OpenOffice 3.2 on Ubuntu 10.10 as well.
Comment 9 wilks2 2010-12-24 21:46:03 UTC
hope this issue will correct this one of many annoying things.

it is the same annoyance level on Ubuntu 10.10 and on Windows.
Comment 10 yb 2011-04-22 08:43:44 UTC
The issue is still valid and applies to OpenOffice 3.2.1 (on Ubuntu 10.04)

I want to display a calc sheet on a touchscreen display so that anyone can consult it at any moment (in read only mode). No mouse, no keyboard available. 
I do not want the users to access any other applications on the computer so I set Open Office to launch in fullscreen mode. This fullscreen toolbar is very annoying because it gives the possibility to the users to exit the fullscreen mode and then access OS menus and any other application on the computer. I definitely do not want them to play with anything else than the sheet. 
Any update available for that issue?

(I cannot remove the window manager because I need the scrollbars)
Comment 11 rshadra 2011-08-18 20:11:23 UTC
This still shows up on OOo 3.2.1 on Ubuntu 10.10. Quite distracting, IMHO.
Comment 12 Frysk 2012-04-04 14:45:43 UTC
Still present in 3.3.0

I am a writer and would love to see this addressed. 

Text at the very top of the screen next to "OpenOffice.org", reading "Press 'esc' to exit full screen mode" would solve the conflicting issues:

a. Allowing complete removal of the toolbar, and
b. Preventing the unwary from becoming trapped in full screen mode.



Seriouswriter's comment also has merit.

"...consider a little warning note (which you can turn off forever in a tick box somewhere) coming up on activating full screen, with the information to use ESC to exit back to normal view."
Comment 13 soimimozo 2013-11-22 12:40:57 UTC
8 years, and this little bugger is still there! Making full screen mode useless...
Comment 14 Ariel Constenla-Haile 2013-11-22 14:00:09 UTC
Created attachment 81981 [details]
Writer document with a macro

Run the macro and restart OpenOffice.
The macro will make the toolbar appear in "View - Toolbars", and the toolbar will be closable.